=head1 NAME

Pango::AttrWeight - Pango font weight attribute

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Pango::AttrWeight



=cut

=for object Pango::AttrWeight - Pango font weight attribute

=cut




=head1 METHODS

=head2 attribute = Pango::AttrWeight-E<gt>B<new> ($weight, ...)

=over

=item * $weight (Pango::Weight) 

=item * ... (list) 

=back

=head2 weight = $attr-E<gt>B<value> (...)

=over

=item * ... (list) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Pango::Weight

=over

=item * 'thin' / 'PANGO_WEIGHT_THIN'

=item * 'ultralight' / 'PANGO_WEIGHT_ULTRALIGHT'

=item * 'light' / 'PANGO_WEIGHT_LIGHT'

=item * 'semilight' / 'PANGO_WEIGHT_SEMILIGHT'

=item * 'book' / 'PANGO_WEIGHT_BOOK'

=item * 'normal' / 'PANGO_WEIGHT_NORMAL'

=item * 'medium' / 'PANGO_WEIGHT_MEDIUM'

=item * 'semibold' / 'PANGO_WEIGHT_SEMIBOLD'

=item * 'bold' / 'PANGO_WEIGHT_BOLD'

=item * 'ultrabold' / 'PANGO_WEIGHT_ULTRABOLD'

=item * 'heavy' / 'PANGO_WEIGHT_HEAVY'

=item * 'ultraheavy' / 'PANGO_WEIGHT_ULTRAHEAVY'

=back




=cut


=head1 SEE ALSO

L<Pango>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Pango> for a full notice.



=cut

